/*------------------------------------*\
    #COMPONENT.QUICK-DONATE
\*------------------------------------*/
/**
 * Quick donation form component used in the main stage
 * component on the homepage..
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}quick-donate__form,
%#{$inuit-namespace}quick-donate__form {
    font-size: $inuit-heading-size-1;
    margin: 20px 0 0;
    text-align: center;

    @media #{$medium-up} {
        max-width: 100%;
        font-size: $inuit-heading-size-1-medium-up;
    }

    @media #{$large-up} {
        font-size: 38px !important;
    }
}

.#{$inuit-namespace}quick-donate__field,
%#{$inuit-namespace}quick-donate__field {
    font-size: inherit;
    margin: 0;
    padding: 0;
    text-align: center;
    vertical-align: top;
    width: auto;
    color: $frs-color-blue;

    @include frs-hover {
        font-size: inherit;
    }
}

.#{$inuit-namespace}quick-donate__button-img,
%#{$inuit-namespace}quick-donate__button-img {
    padding: 0;
}


.#{$inuit-namespace}quick-donate__pictogram-button,
%#{$inuit-namespace}quick-donate__pictogram-button {
    background: transparent;
    border: 0;
    @media only screen and (max-width: 64.0625em) {
            margin-top: 0;
            display: none;
    }
}

.c-donation-teaser {
    background-color:#eceae6;
    text-align:center;
    padding:1.5rem;
}
.c-donation-teaser .o-cms-content__body {
    text-align:left;
}
.c-donation-teaser .o-cms-content__body p {
    font-size:1.45rem;
}
.c-donation-teaser img {
    width:130px;
    height:130px;
}
.c-donation-teaser .c-stage-teaser__link {
    width:100%;
    margin:0 auto;
    font-size:1.5rem;
    padding-top:0.5rem;
    padding-bottom:0.5rem;
}
.c-donation-link-footer {
    display:none;
}

@media only screen and (max-width: 45em){
    .c-donation-teaser {
        padding:1.5rem 1rem;
    }
    .c-donation-teaser .o-cms-content__body {
        text-align:center;
    }
    .c-donation-teaser .c-stage-teaser__link {
        display:inline-block;
        width:auto;
        margin:0 -0.5rem;
        line-height:120%;
        font-size:20px !important;
        padding:0.5em 1.5rem;
        p {
            margin:0;
        }
    }
    .image-divider .o-btn__large {
        line-height:120%;
        font-size:20px !important;
        padding:0.5em 2em;
    }
    .icon__headline {
        line-height:40px;
    }
    .award:before {
        content:'';
        display:block;
    }
    .award {
        display:inline-block;
        width:150px;
        height:auto;
    }
    .c-donation-link-footer {
        display:block;
        width:100%;
        position:fixed;
        bottom:0;
        left:0;
        color:#fff;
        background:$frs-color-light-red;
        border-top:1px solid #e0ddd6;
        box-shadow:0 6px 8px 6px #b4b4b4;
        z-index:888;
    }
    .c-donation-link-footer .jetzt-spenden {
        width:48%;
        display:inline-block;
        padding:0.5rem;
    }
    .c-donation-link-footer .pate-werden {
        float:left;
        width:50%;
        border-right:1px solid #e0ddd6;
        display:inline-block;
        padding:0.5rem;
    }
    .c-toplink-position{bottom:75px !important;z-index:999;}
    .c-donation-link-footer img {
        width:49px;
        height:49px;
        display:inline-block;
        float:left;
        margin-left:15px;
    }
    .c-donation-link-footer .c-donation-link__text {
        display: inline-block;
        width: 40%;
        line-height: 1.3rem;
        color:#fff;
    }
    .c-stage-teaser__content{
        padding:20px 20px 5px 20px;
    }
    @if $theme == "reloaded" {
        .c-donation-link-footer {
            display:block;
            width:100%;
            position:fixed;
            bottom:0;
            left:0;
            color:#fff;
            background:$frs-color-red;
            border-top:1px solid #e0ddd6;
            box-shadow:0 6px 8px 6px #b4b4b4;
            z-index:888;
        }
    }
}

@if $theme == "reloaded" {
    .c-quick-donate {
        margin-top: 0;
        position: relative;
        @media #{$large-up} {
            margin-top: -5.2rem;
        }
    }
    .#{$inuit-namespace}quick-donate__form,
    %#{$inuit-namespace}quick-donate__form {
        max-width: none;
        font-size: 34.85px;
        margin: 0 auto;
        @media #{$large-up} {
            font-size: 3px !important;
        }
    }
    .c-quick-donate__form {
        text-align:center;
    }
    .o-simple-form__section.space {
        margin:0;
        padding:0 !important;
        width:100%;
        text-align:center;
    }
    .o-simple-form__item {
        display:inline-block;
        width:auto;
        position:relative;
        background:$frs-color-white;
    }
    .o-simple-form__button-text {
        margin: 0 0 0 3rem;
        line-height: 3rem;
        padding: 0.65rem 0 0.65rem 0;
    }
    .c-quick-donate__fieldwrap {
        display:none;
        @media #{$large-up} {
            display:inline-block;
            width:auto;
            position:relative;
            margin-left:1rem;
            margin-right:1rem;
        }
    }
    .c-quick-donate__currency {
        position:absolute;
        right: 1.3rem;
        top: 0.8rem;
        font-size: 1.5rem;
        color:$frs-color-light-grey;
        font-weight:bold;
        @include epx-transition (right 300ms ease-in-out 0s);
    }
    .o-simple-form__field {
        margin-top: 0.35rem;
        border-bottom:0 solid transparent;
        background: $frs-color-background;
        color:$frs-color-light-grey;
        font-size: 1.5rem;
        padding: 0 1rem;
        font-weight:bold;
        height: 3rem;
        vertical-align: unset;
        &:focus {
            font-size: 1.5rem;
            padding: 0 1rem;
            font-weight:bold;
            border-bottom:0 solid transparent;
            + .c-quick-donate__currency {
                right: 0.8rem;
            }
        }
        @include frs-hover {
            font-size: 1.5rem;
            padding: 0 1rem;
            font-weight:bold;
            border-bottom:0 solid transparent;
        }
    }
    .o-simple-form__button.donatenow {
        display:inline-block;
        width:auto;
        height:100%;
        font-size:1rem;
        line-height:2.5rem;
        font-weight:bold;
        background:$frs-color-red;
        color:$frs-color-white;
        padding: 0.2rem 2.5rem;
        margin-right:1rem;
        margin-bottom:0;
        @include epx-transition (background 300ms ease-in-out 0s);
        @include frs-hover {
            background: $frs-color-dark-red;
        }
        @media #{$medium-up} {
            font-size:1.5rem;
            line-height:3rem;
            padding: 0.65rem 3rem;
            margin-right:0;
        }
    }
    .o-simple-form__description {
        display:none;
        @media #{$large-up} {
            font-size:1.5rem;
            font-weight:bold;
            height:4rem;
            display:inline-block;
            &:last-of-type {
                margin-right:0;
            }
        }
    }
    .c-quick-donate.grey {
        background-color:transparent;
        .o-simple-form__section.space {
            background:$frs-color-background;
        }
        .o-simple-form__field {
            background:$frs-color-white;
            color: $frs-color-light-grey;
        }
        .o-simple-form__button-text {
            color: $frs-color-light-grey;
        }
    }
}